Page MenuHomePhabricator

GRUB can't boot from software RAID
Closed, ResolvedPublicBUG

Description

Installing a fresh version of VyOS in VMWare ESXi for testing purposes w/ RAID1 support ended with an installation that can't boot.
There was a previous task T289 mentioning a similar problem but this was a higher layer issue, not GRUB itself.

GRUB replys by:

error: disk 'md/0' not found.
error: you need to load the kernel first

Installing software RAID with defaults went down smoothly.

Details

Difficulty level
Normal (likely a few hours)
Version
VyOS 999.201711232137
Why the issue appeared?
Issues in third-party code
c-po created this task.Dec 4 2017, 5:20 PM
syncer added a subscriber: syncer.Dec 4 2017, 5:25 PM

i think we also need mechanism to fix other installs once we sort out this problem

c-po added a comment.Dec 4 2017, 5:38 PM

@syncer what do you mean by "other installs"?

syncer added a comment.Dec 4 2017, 5:40 PM

i mean, if that works silently but after install fails to boot from SW RAID
assuming that part of raid installs affected

I was under impression that if we add new image, grub not update, but maybe i wrong

c-po added a comment.Dec 4 2017, 7:54 PM

Each time a new image is added via add system image GRUB configuration is triggered.

syncer added a comment.Dec 4 2017, 8:53 PM

Ah ok, maybe that not the case than

c-po added a comment.Dec 9 2017, 2:53 PM

Installing VyOS 1.1.8 on RAID1 and later on upgrading to 1.2.x works. Also the RAID set is intact.

vyos@vyos:~$ cat /proc/mdstat
Personalities : [raid1]
md0 : active raid1 sda1[0] sdb1[1]
      4190144 blocks [2/2] [UU]

unused devices: <none>
syncer triaged this task as Normal priority.Dec 21 2017, 9:08 PM
c-po claimed this task.Dec 26 2017, 3:55 PM
c-po closed this task as Resolved.
c-po changed Why the issue appeared? from Will be filled on close to Issues in third-party code.

Adjusted generated GRUB configuration to the one from Debian Jessie.